#ifndef _NEURONE_H
#define _NEURONE_H
#include <iostream>
#include <stdlib.h>
#define ACTIVE 0.9
using namespace std;

class Neurone{
    private:
        double weight;
        Neurone* nextNeurone;
    public:
        Neurone();
        Neurone(const double w,const Neurone* next=NULL);
        bool getState() const;
        double getWeight() const;
        void setWeight(const double a);
        void setNextNeurone(const Neurone* next);
        Neurone* getNextNeurone() const;
        void operator =(double w);
        Neurone& operator =(const Neurone& n);
};
#endif
